Subject: bug#49353: closed (Re: bug#37790: MANPATH missing from non-default profile)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Mar 2022 06:26:03 +0000

Your bug report

#37790: INFOPATH and MANPATH not set in profiles

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37790: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37790: MANPATH missing from non-default profile
From: Maxim Cournoyer <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Thu, 03 Mar 2022 01:24:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 37790 notabug
thanks

Hi,

Pierre Neidhardt <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> I agree it’s inconvenient, but how would you add an exception?
>
> I'm not too sure how Guix works here, but what about when building the
> profile, systematically populating etc/profile with MANPATH=...?

I don't think special casing ~/.guix-profile like this, polluting other
profiles is a good idea.

I'm closing this 2+ years old bug.

Thank you,

Maxim

Subject: INFOPATH and MANPATH not set in profiles
From: Morgan Smith <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 09:54:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

MANPATH is set by the man-db package, and /etc/profile.

INFOPATH is set by the emacs package, the texinfo package, and
/etc/profile.

/etc/profile sets the variables as such:
export MANPATH=$HOME/.guix-profile/share/man:/run/current-system/profile/share/man
export INFOPATH=$HOME/.guix-profile/share/info:/run/current-system/profile/share/info

This means if I use multiple profiles, and I don't have `(and man-db (or
emacs texinfo))` in each profile, then I can't access the info and man
files using the info and man commands.

For example:

Fails to find man page
guix environment --ad-hoc neovim
man nvim

Finds man page just fine
guix environment --ad-hoc man-db neovim
man nvim